package zarith

  1. Overview
  2. Docs
Implements arithmetic and logical operations over arbitrary-precision integers

Install

Dune Dependency

Authors

Maintainers

Sources

release-1.12.tar.gz
md5=bf368f3d9e20b6b446d54681afc05a04
sha512=8075573ae65579a2606b37dd1b213032a07d220d28c733f9288ae80d36f8a2cc4d91632806df2503c130ea9658dc207ee3a64347c21aa53969050a208f5b2bb4

Description

The Zarith library implements arithmetic and logical operations over arbitrary-precision integers. It uses GMP to efficiently implement arithmetic over big integers. Small integers are represented as Caml unboxed integers, for speed and space economy.

Published: 03 Mar 2021

Dependencies (3)

  1. conf-gmp
  2. ocamlfind
  3. ocaml >= "4.04.0"

Dev Dependencies

None

  1. alonzo
  2. alt-ergo < "2.3.0"
  3. alt-ergo-free < "2.3.3"
  4. alt-ergo-lib
  5. alt-ergo-lib-free
  6. altgr-ergo < "2.3.0"
  7. anders >= "1.1.1"
  8. archsat
  9. asli
  10. asn1-combinators < "0.3.0"
  11. awa
  12. awsm
  13. bamboo < "0.0.02"
  14. bap < "1.0.0"
  15. bap-mips >= "2.2.0"
  16. bap-patterns
  17. bap-powerpc
  18. bap-primus-random >= "2.2.0"
  19. bap-primus-symbolic-executor
  20. bap-radare2
  21. bap-std
  22. bigdecimal
  23. bignum >= "v0.13.0"
  24. binsec
  25. bitpack_serializer
  26. bitvec
  27. bitwuzla >= "1.0.0"
  28. bitwuzla-cxx
  29. bls12-381 < "20.1"
  30. bls12-381-gen
  31. bls12-381-js-gen < "0.4.2"
  32. bls12-381-legacy
  33. bls12-381-unix
  34. bn128
  35. bt
  36. caisar
  37. calcium < "0.4.0"
  38. calli
  39. catala
  40. cborl
  41. class_group_vdf
  42. cloudi = "2.0.6"
  43. clp_operations
  44. colibri2
  45. colibrics
  46. colibrilib
  47. coq >= "8.13.0" & < "8.17.0"
  48. coq-core
  49. cryptokit >= "1.11"
  50. ctypes-zarith
  51. data-encoding
  52. decimal
  53. dht < "0.2.0"
  54. dolmen_model
  55. encoding
  56. exenum >= "0.84"
  57. farith
  58. feat
  59. ff
  60. ff-pbt
  61. ff-sig
  62. flint
  63. fm-simplex-plugin
  64. frama-c >= "11.0" & != "15.0"
  65. frama-c-base >= "15.0"
  66. frama-clang
  67. fstar >= "0.9.3.0-beta1"
  68. gemini
  69. goblint >= "1.1.1"
  70. goblint-cil >= "1.7.4"
  71. hacl
  72. hacl-star
  73. hardcaml >= "v0.12.0"
  74. herdtools7 >= "7.57"
  75. jasmin
  76. jose
  77. karamel
  78. key-parsers
  79. kremlin < "transition"
  80. lem
  81. letsencrypt < "0.3.0"
  82. libzipperposition < "2.1"
  83. logtk
  84. malfunction
  85. mc2
  86. mec
  87. mirage-crypto-pk < "1.0.0"
  88. nocrypto
  89. obeam
  90. ocplib-simplex >= "0.5.1"
  91. octez-l2-libs < "20.1"
  92. octez-libs < "20.1"
  93. octez-polynomial
  94. octez-proto-libs < "20.1"
  95. orgeat
  96. ortac-runtime
  97. osdp
  98. parsley
  99. pilat >= "1.3"
  100. pkcs11 >= "0.10.0"
  101. polynomial
  102. ppx_pbt >= "0.2.1"
  103. ppx_wideopen
  104. prbnmcn-basic-structures
  105. prbnmcn-proptest
  106. primes
  107. profiler-plugin
  108. randii
  109. rfc7748
  110. safemoney
  111. sail < "0.15"
  112. satML-plugin
  113. scaml
  114. sexp_grammar >= "v0.16.0"
  115. smtml
  116. solidity-common
  117. tezos-base58
  118. tezos-context-hash
  119. tezos-crypto < "8.0" | >= "13.0"
  120. tezos-hacl
  121. tezos-lazy-containers
  122. tezos-micheline >= "13.0"
  123. tezos-micheline-rewriting
  124. tezos-protocol-environment >= "11.0"
  125. tezos-stdlib
  126. tezos-webassembly-interpreter
  127. tptp
  128. voqc
  129. why3 >= "0.84" & < "1.0.0"
  130. yices2
  131. yices2_bindings
  132. z3 >= "4.8.7"
  133. zarith-freestanding >= "1.12"
  134. zarith-ppx
  135. zenon_modulo
  136. zipperposition < "1.1" | >= "1.5.1" & < "2.1"
  137. zipperposition-tools < "2.1"

Conflicts

None

OCaml

Innovation. Community. Security.